FCPE-SPI FLAM Column Processing Exit (FCPE) Service Provider Interface (SPI)

Macros
Flags for FCPE processing

Definitions for the flag word in the parameter structure used for open. More...

## Macros
#define | FCPE_FLAG_WRITE 0x00000001U
| [INPUT] If set by exit driver, this signals that the exit is called as post-processing on the writing side More...
#define | FCPE_FLAG_NOCPY 0x00000002U
| [OUTPUT] Must be set by the exit function if it does not write data to the output buffer (validation or in-place manipulation of input) More...

## Detailed Description

Definitions for the flag word in the parameter structure used for open.

In the open function the first word of the parameter structure contains few bit settings.

## Macro Definition Documentation

## ◆ FCPE_FLAG_NOCPY

#define FCPE_FLAG_NOCPY 0x00000002U

[OUTPUT] Must be set by the exit function if it does not write data to the output buffer (validation or in-place manipulation of input)

## ◆ FCPE_FLAG_WRITE

#define FCPE_FLAG_WRITE 0x00000001U

[INPUT] If set by exit driver, this signals that the exit is called as post-processing on the writing side